Name:           maven-pmd-plugin
Version:        3.6
Release:        2%{?dist}
Summary:        Maven PMD Plugin

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-pmd-plugin/
Source0:        http://archive.apache.org/dist/maven/plugins/maven-pmd-plugin-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(dom4j:dom4j)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(net.sourceforge.pmd:pmd-core) >= 5.3.2
BuildRequires:  mvn(net.sourceforge.pmd:pmd-java) >= 5.3.2
BuildRequires:  mvn(net.sourceforge.pmd:pmd-javascript) >= 5.3.2
BuildRequires:  mvn(net.sourceforge.pmd:pmd-jsp) >= 5.3.2
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-decoration-model)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
A Maven plugin for the PMD toolkit, that produces a report on both code rule 
violations and detected copy and paste fragments, as well as being able to 
fail the build based on these metrics.
  

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q

# remove unnecessary animal sniffer and enforcer plugins
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

# remove test dependency not in fedora
%pom_remove_dep com.github.tomakehurst:wiremock

%build
# ignore test failures
# all tests fail, so this is probably environmental but I'm not sure what's missing
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 18 2015 Mat Booth <mat.booth@redhat.com> - 3.6-1
- Update to upstream release 3.6

* Mon Nov 30 2015 Mat Booth <mat.booth@redhat.com> - 3.5-1
- Update to upstream release 3.5
- Drop upstreamed patch
- Use license macro

* Thu Jun 18 2015 Mat Booth <mat.booth@redhat.com> - 3.4-3
- Fix FTBFS with patch to support latest pmd

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 10 2015 Mat Booth <mat.booth@redhat.com> - 3.4-1
- Update to upstream 3.4.

* Fri Jan 23 2015 Alexander Kurtakov <akurtako@redhat.com> 3.3-1
- Update to upstream 3.3.

* Tue Oct 14 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.2-2
- Remove legacy Obsoletes/Provides for maven2 plugin

* Mon Aug  4 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.2-1
- Update to upstream version 3.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 17 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1-1
- Update to upstream version 3.1

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.1-4
- Use Requires: java-headless rebuild (#1067528)

* Tue Aug 06 2013 Michal Srb <msrb@redhat.com> - 3.0.1-3
- Adapt to current guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Mat Booth <fedora@matbooth.co.uk> - 3.0.1-1
- Update to latest upstream version
- Requires pmd >= 5.0.4-2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.7.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Nov 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.7.1-4
- Install license files
- Resolves: rhbz#880273

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Tomas Radej <tradej@redhat.com> - 2.7.1-2
- Modello BR

* Fri Feb 24 2012 Tomas Radej <tradej@redhat.com> 2.7.1-1
- Update to latest upstream.

* Tue Feb 14 2012 Alexander Kurtakov <akurtako@redhat.com> 2.7-1
- Update to latest upstream.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Alexander Kurtakov <akurtako@redhat.com> 2.6-1
- Update to latest upstream.

* Wed Jul 6 2011 Alexander Kurtakov <akurtako@redhat.com> 2.5-5
- Adapt to current guidelines.

* Thu Jun 30 2011 Felix Kaechele <heffer@fedoraproject.org> - 2.5-4
- added patch to fix pmd artifactId in pom.xml

* Tue Apr 26 2011 Alexander Kurtakov <akurtako@redhat.com> 2.5-3
- Update to current guidelines.
- Use upstream source.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.5-1
- Initial package.
